%define languageenglazy Tamil
%define languagecode    ta
%define lc_ctype        ta_IN

Name:           hunspell-%{languagecode}
Version:        20100422
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://nrcfoss.au-kbc.org.in
Source0:        https://sourceforge.net/projects/aoo-extensions/files/2640/2/dict-ta.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ta
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-ta_TA < 1.0.3
Provides:       myspell-ta_TA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README* LICENCE*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 20100422-3.mga8
+ Revision: 1501694
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 20100422-2.mga7
+ Revision: 1278857
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 20100422-1.mga7
+ Revision: 1213795
- Update to release 20100422

* Mon Feb 08 2016 umeabot <umeabot> 20100226-10.mga6
+ Revision: 946293
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20100226-9.mga5
+ Revision: 746837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20100226-8.mga5
+ Revision: 680312
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 20100226-7.mga4
+ Revision: 505839
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20100226-6.mga3
+ Revision: 353737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 20100226-5.mga2
+ Revision: 224873
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 20100226-4.mga2
+ Revision: 209111
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 20100226-2.mga1
+ Revision: 69134
- imported package hunspell-ta


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100226-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 08 2010 Parag <pnemade AT redhat.com> - 20100226-1
- Resolves:rh#568228 - [ta_IN]Fix license tag

* Tue Sep 29 2009 Parag <pnemade@redhat.com> - 20090929-1
- Update to new dictionary wordlist with new URL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060222-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060222-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 06 2008 Parag <pnemade@redhat.com> - 20060222-2
- Added Copyright and fixed License tag

* Thu Jan 03 2008 Parag <pnemade@redhat.com> - 20060222-1
- Initial Fedora release
